package com.zcloud.primeport.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.primeport.dto.PersonMessageAddCmd;
import com.zcloud.primeport.dto.PersonMessagePageQry;
import com.zcloud.primeport.dto.PersonMessageUpdateCmd;
import com.zcloud.primeport.dto.clientobject.PersonMessageCO;

/**
 * web-client
 *
 * @Author makejava
 * @Date 2026-03-05 11:33:21
 */
public interface PersonMessageServiceI {
    PageResponse<PersonMessageCO> listPage(PersonMessagePageQry qry);

    SingleResponse<PersonMessageCO> add(PersonMessageAddCmd cmd);

    void edit(PersonMessageUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}

